### Hierarchy

- IEventDispatcher

### Implemented by

- Accelerometer
- Bitmap
- Context3D
- CubeTexture
- DOMElement
- DOMSprite
- DisplayObject
- DisplayObjectContainer
- EventDispatcher
- FPS
- FileReference
- FileReferenceList
- FrameLabel
- GameInput
- GameInputControl
- InteractiveObject
- Loader
- LoaderInfo
- MovieClip
- NetConnection
- NetStream
- RectangleTexture
- ShaderJob
- Shape
- SharedObject
- SimpleButton
- Socket
- Sound
- SoundChannel
- Sprite
- Stage
- Stage3D
- TextField
- Texture
- TextureBase
- Tilemap
- Timer
- URLLoader
- URLStream
- UncaughtErrorEvents
- Video
- VideoTexture
- XMLSocket

## Index

### Methods

- addEventListener
- dispatchEvent
- hasEventListener
- removeEventListener
- willTrigger

## Methods

### addEventListener

- addEventListener(type: string, listener: function, useCapture?: boolean, priority?: number, useWeakReference?: boolean): void

- - Defined in lib/openfl/events/IEventDispatcher.d.ts:9

  #### Parameters

  - ##### type: string

  - ##### listener: function

    - - (event: any): void

      - #### Parameters

        - ##### event: any

        #### Returns void

  - ##### Optional useCapture: boolean

  - ##### Optional priority: number

  - ##### Optional useWeakReference: boolean

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- - Defined in lib/openfl/events/IEventDispatcher.d.ts:10

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### hasEventListener

- hasEventListener(type: string): boolean

- - Defined in lib/openfl/events/IEventDispatcher.d.ts:11

  #### Parameters

  - ##### type: string

  #### Returns boolean

### removeEventListener

- removeEventListener(type: string, listener: function, useCapture?: boolean): void

- - Defined in lib/openfl/events/IEventDispatcher.d.ts:12

  #### Parameters

  - ##### type: string

  - ##### listener: function

    - - (event: any): void

      - #### Parameters

        - ##### event: any

        #### Returns void

  - ##### Optional useCapture: boolean

  #### Returns void

### willTrigger

- willTrigger(type: string): boolean

- - Defined in lib/openfl/events/IEventDispatcher.d.ts:13

  #### Parameters

  - ##### type: string

  #### Returns boolean

Generated using TypeDoc